Panels

React Bootstrap Panels

Bootstrap React panels are bordered boxes where you can place texts, lists, tables and other content. Panels are similar to cards, but they don't include media.


Basic example

Panels are built with as little markup and styles as possible, but still manage to deliver a ton of control and customization. Built with flexbox, they offer easy alignment and mix well with other Bootstrap components. They have no margin by default, so use spacing utilities as needed.

Below is an example of a basic panel with mixed content and a fixed width. Panels have no fixed width to start, so they’ll naturally fill the full width of their parent element. This is easily customized with our various sizing options.

Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Card link Another link
        
            
      import React from 'react';
      import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBCard style={{ width: '22rem', marginTop: '1rem' }}>
            <MDBCardBody>
              <MDBCardTitle>Panel title</MDBCardTitle>
              <MDBCardText>
                Some quick example text to build on the card title and make up the bulk of the card's content.
              </MDBCardText>
              <div className='flex-row'>
                <a href='#'>Card link</a>
                <a href='#' style={{ marginLeft: '1.25rem' }}>
                  Another link
                </a>
              </div>
            </MDBCardBody>
          </MDBCard>
        );
      }
      
        
    

Content types

Panels support a wide variety of content, including text, list groups, links, and more. Below are examples of what’s supported.

Body

The building block of a panel is the .card-body. Use it whenever you need a padded section within a panel.

This is some text within a panel body.
        
            
      import React from 'react';
      import { MDBCard, MDBCardBody } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBCard>
            <MDBCardBody>This is some text within a card body.</MDBCardBody>
          </MDBCard>
        );
      }
      
        
    

Titles, text, and links

Panel titles are used by adding .card-title to a <h*> tag. In the same way, links are added and placed next to each other by adding .card-link to a <a> tag.

Subtitles are used by adding a .card-subtitle to a <h*> tag. If the .card-title and the .card-subtitle items are placed in a .card-body item, the panel title and subtitle are aligned nicely.

Panel title
Panel subtitle

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Card link Another link
        
            
      import React from 'react';
      import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardLink } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBCard>
            <MDBCard>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardTitle subtitle className='mb-2 text-muted'>
                  Panel subtitle
                </MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the panel title and make up the bulk of the panel's content.
                </MDBCardText>
                <MDBCardLink href='#'>Panel link</MDBCardLink>
                <MDBCardLink href='#'>Another link</MDBCardLink>
              </MDBCardBody>
            </MDBCard>
          </MDBCard>
        );
      }
      
        
    

List groups

You can create lists of content in a card with a flush list group.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
      import React from 'react';
      import { MDBCard, MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBCard>
            <MDBListGroup flush>
              <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
              <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
              <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
            </MDBListGroup>
          </MDBCard>
        );
      }
      
        
    


Sizing

Panels assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can change this as needed with custom CSS, grid classes, grid Sass mixins, or utilities.

Using grid markup

Using the grid, wrap panels in columns and rows as needed.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
      import React from 'react';
      import {
        MDBCol,
        MDBRow,
        MDBCard,
        MDBCardBody,
        MDBCardTitle,
        MDBCardText,
        MDBBtn,
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBRow>
            <MDBCol sm='6' className='mb-3 mb-md-0'>
              <MDBCard>
                <MDBCardBody text='dark'>
                  <MDBCardTitle>Special title treatment</MDBCardTitle>
                  <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                  <MDBBtn tag='a' href='#!' color='primary'>
                    Go somewhere
                  </MDBBtn>
                </MDBCardBody>
              </MDBCard>
            </MDBCol>
            <MDBCol sm='6' className='mb-3 mb-md-0'>
              <MDBCard>
                <MDBCardBody text='dark'>
                  <MDBCardTitle>Special title treatment</MDBCardTitle>
                  <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                  <MDBBtn tag='a' href='#!' color='primary'>
                    Go somewhere
                  </MDBBtn>
                </MDBCardBody>
              </MDBCard>
            </MDBCol>
          </MDBRow>
        );
      }
      
        
    

Using utilities

It's easy to use our handful of available sizing utilities to quickly set a panel's width.

Panel title

With supporting text below as a natural lead-in to additional content.

Button
Panel title

With supporting text below as a natural lead-in to additional content.

Button
        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardTitle,
        MDBCardText,
        MDBBtn,
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <>
            <MDBCard className='w-75'>
              <MDBCardBody>
                <MDBCardTitle>Card title</MDBCardTitle>
                <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                <MDBBtn tag='a' href='#!' color='primary'>
                  Button
                </MDBBtn>
              </MDBCardBody>
            </MDBCard>
            <br />
            <MDBCard className='w-50'>
              <MDBCardBody>
                <MDBCardTitle>Card title</MDBCardTitle>
                <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                <MDBBtn tag='a' href='#!' color='primary'>
                  Button
                </MDBBtn>
              </MDBCardBody>
            </MDBCard>
          </>
        );
      }
      
        
    

Using custom CSS

Custom CSS can be used in your stylesheets or as inline styles to set a width.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardTitle,
        MDBCardText,
        MDBBtn,
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <>
            <MDBCard style={{ width: '18rem' }}>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                <MDBBtn tag='a' href='#!' color='primary'>
                  Go somewhere
                </MDBBtn>
              </MDBCardBody>
            </MDBCard>
          </>
        );
      }
      
        
    

Text alignment

You can quickly change the text alignment of any card—in its entirety or specific parts—with our text-align classes.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardTitle,
        MDBCardText,
        MDBBtn,
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <>
            <MDBCard style={{ width: '18rem' }}>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                <MDBBtn tag='a' href='#!' color='primary'>
                  Go somewhere
                </MDBBtn>
              </MDBCardBody>
            </MDBCard>
            <MDBCard className='text-center my-2' style={{ width: '18rem' }}>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                <MDBBtn tag='a' href='#!' color='primary'>
                  Go somewhere
                </MDBBtn>
              </MDBCardBody>
            </MDBCard>
            <MDBCard className='text-end' style={{ width: '18rem' }}>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                <MDBBtn tag='a' href='#!' color='primary'>
                  Go somewhere
                </MDBBtn>
              </MDBCardBody>
            </MDBCard>
          </>
        );
      }
      
        
    


Panel styles

Panels include various options for customizing their backgrounds, borders, and color.

Background and color

Use text and background utilities to change the appearance of a card.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <div>
            <MDBCard background='primary' className='text-white mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Primary card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='secondary' className='text-white mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Secondary card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='success' className='text-white mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Success card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='danger' className='text-white mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Danger card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='warning' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Warning card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='info' className='text-body mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Info card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='light' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Light card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard background='dark' className='text-white' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Dark card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>
          </div>
        );
      }
      
        
    

Border

Use border utilities to change just the border-color of a card. Note that you can put .text-{color} classes on the parent .card or a subset of the panel's contents as shown below.

Header
Primary Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Secondary Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Success Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Danger Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Warning Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Info Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Light Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Dark Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <div>
            <MDBCard shadow='0' border='primary' background='white' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody className='text-primary'>
                <MDBCardTitle>Primary card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard
              shadow='0'
              border='secondary'
              background='white'
              className='mb-3'
              style={{ maxWidth: '18rem' }}
            >
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody className='text-secondary'>
                <MDBCardTitle>Secondary card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard shadow='0' border='success' background='white' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody className='text-success'>
                <MDBCardTitle>Success card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard shadow='0' border='danger' background='white' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody className='text-danger'>
                <MDBCardTitle>Danger card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard shadow='0' border='warning' background='white' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Warning card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard shadow='0' border='info' background='white' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Info card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard shadow='0' border='light' background='white' className='mb-3' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Light card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>

            <MDBCard shadow='0' border='dark' background='white' style={{ maxWidth: '18rem' }}>
              <MDBCardHeader>Header</MDBCardHeader>
              <MDBCardBody className='text-dark'>
                <MDBCardTitle>Dark card title</MDBCardTitle>
                <MDBCardText>
                  Some quick example text to build on the card title and make up the bulk of the card's content.
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>
          </div>
        );
      }
      
        
    

Mixins utilities

You can also change the borders on the card header and footer as needed, and even remove their background-color with .bg-transparent.

Header
Success Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText,
        MDBCardFooter
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBCard border='success' background='white' shadow='0' className='mb-3' style={{ maxWidth: '18rem' }}>
            <MDBCardHeader background='transparent' border='success'>
              Header
            </MDBCardHeader>
            <MDBCardBody className='text-success'>
              <MDBCardTitle>Success card title</MDBCardTitle>
              <MDBCardText>
                Some quick example text to build on the card title and make up the bulk of the card's content.
              </MDBCardText>
            </MDBCardBody>
            <MDBCardFooter background='transparent' border='success'>
              Footer
            </MDBCardFooter>
          </MDBCard>
        );
      }
      
        
    

Panel layout

In addition to styling the content within panels, Bootstrap includes a few options for laying out a series of panels. For the time being, these layout options are not yet responsive.

Groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups use display: flex; to achieve their uniform sizing.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

Panel title

This card has supporting text below as a natural lead-in to additional content.

Last updated 3 mins ago

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

Last updated 3 mins ago

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText,
        MDBCardFooter,
        MDBCardGroup
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <MDBCardGroup>
            <MDBCard>
              <MDBCardBody>
                <MDBCardTitle>Card title</MDBCardTitle>
                <MDBCardText>
                  This is a wider card with supporting text below as a natural lead-in to additional content. This
                  content is a little bit longer.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>

            <MDBCard>
              <MDBCardBody>
                <MDBCardTitle>Card title</MDBCardTitle>
                <MDBCardText>
                  This is a wider card with supporting text below as a natural lead-in to additional content.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>

            <MDBCard>
              <MDBCardBody>
                <MDBCardTitle>Card title</MDBCardTitle>
                <MDBCardText>
                  This is a wider card with supporting text below as a natural lead-in to additional content. This
                  card has even longer content than the first to show that equal height action.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
          </MDBCardGroup>
        );
      }
      
        
    

When using card groups with footers, their content will automatically line up.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Panel title

This card has supporting text below as a natural lead-in to additional content.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText,
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to additional content. This
                  content is a little bit longer.
                </MDBCardText>
                <MDBCardText>
                  <small className='text-muted'>Last updated 3 mins ago</small>
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This panel has supporting text below as a natural lead-in to additional content.
                </MDBCardText>
                <MDBCardText>
                  <small className='text-muted'>Last updated 3 mins ago</small>
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to additional content. This
                  panel has even longer content than the first to show that equal height action.
                </MDBCardText>
                <MDBCardText>
                  <small className='text-muted'>Last updated 3 mins ago</small>
                </MDBCardText>
              </MDBCardBody>
            </MDBCard>
          </>
        );
      }
      
        
    

Decks

Need a set of equal width and height panels that aren’t attached to one another? Use decks.

Panel title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

Panel title

This card has supporting text below as a natural lead-in to additional content.

Last updated 3 mins ago

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

Last updated 3 mins ago

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText,
        MDBCardFooter
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to additional content. This
                  content is a little bit longer.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This panel has supporting text below as a natural lead-in to additional content.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to additional content. This
                  panel has even longer content than the first to show that equal height action.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
          </>
        );
      }
      
        
    

Just like with panel groups, card footers in decks will automatically line up.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Panel title

This card has supporting text below as a natural lead-in to additional content.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            
      import React from 'react';
      import {
        MDBCard,
        MDBCardBody,
        MDBCardHeader,
        MDBCardTitle,
        MDBCardText,
        MDBCardFooter
      } from 'mdb-react-ui-kit';

      export default function App() {
        return (
          <>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to additional content. This
                  content is a little bit longer.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This panel has supporting text below as a natural lead-in to additional content.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
            <MDBCard class='h-100'>
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to additional content. This
                  panel has even longer content than the first to show that equal height action.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small className='text-muted'>Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
          </>
        );
      }
      
        
    

Jumbotron

A lightweight, flexible component that can optionally extend the entire viewport to showcase key marketing messages on your site.

Hello, world!

This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.


It uses utility classes for typography and spacing to space content out within the larger container.

Learn more
        
            
      import React from 'react';

      export default function App() {
        return (
          <div className='p-4 shadow-4 rounded-3' style={{ backgroundColor: 'hsl(0, 0%, 94%)' }}>
            <h2>Hello world!</h2>
            <p>
              This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured
              content or information.
            </p>

            <hr className='my-5' />

            <p>
              It uses utility classes for typography and spacing to space content out within the larger container.
            </p>
            <button type='button' className='btn btn-primary'>
              Learn more
            </button>
          </div>
        );
      }
      
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Panels

Vue Bootstrap Panels

Bootstrap Vue panels are bordered boxes where you can place texts, lists, tables and other content. Panels are similar to cards, but they don't include media.


Basic example

Panels are built with as little markup and styles as possible, but still manage to deliver a ton of control and customization. Built with flexbox, they offer easy alignment and mix well with other Bootstrap components. They have no margin by default, so use spacing utilities as needed.

Below is an example of a basic panel with mixed content and a fixed width. Panels have no fixed width to start, so they’ll naturally fill the full width of their parent element. This is easily customized with our various sizing options.

Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Card link Another link
        
            

      <template>
        <MDBCard style="width: 22rem; margin-top: 1rem;">
          <MDBCardBody>
            <MDBCardTitle>Panel title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make up the bulk of the
              card's content.
            </MDBCardText>
            <div class="flex-row">
            <a>Card link</a>
            <a style="margin-left: 1.25rem">Another link</a>
          </div>
          </MDBCardBody>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText
          }
        };
      </script>

      
        
    

Content types

Panels support a wide variety of content, including text, list groups, links, and more. Below are examples of what’s supported.

Body

The building block of a panel is the .card-body. Use it whenever you need a padded section within a panel.

This is some text within a panel body.
        
            

      <template>
        <MDBCard>
          <MDBCardBody>This is some text within a card body.</MDBCardBody>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody
          }
        };
      </script>

      
        
    

Titles, text, and links

Panel titles are used by adding .card-title to a <h*> tag. In the same way, links are added and placed next to each other by adding .card-link to a <a> tag.

Subtitles are used by adding a .card-subtitle to a <h*> tag. If the .card-title and the .card-subtitle items are placed in a .card-body item, the panel title and subtitle are aligned nicely.

Panel title
Panel subtitle

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Card link Another link
        
            

      <template>
        <MDBCard style="width: 18rem">
          <MDBCardBody>
            <MDBCardTitle>Panel title</MDBCardTitle>
            <MDBCardTitle subtitle class="mb-2 text-muted">Panel subtitle</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the panel title and make up the bulk of the
              panel's content.
            </MDBCardText>
            <MDBCardLink href="#">Panel link</MDBCardLink>
            <MDBCardLink href="#">Another link</MDBCardLink>
          </MDBCardBody>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardLink } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardLink,
          }
        };
      </script>

      
        
    

List groups

You can create lists of content in a card with a flush list group.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            

      <template>
        <MDBCard style="width: 18rem">
          <MDBListGroup flush>
            <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
            <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
            <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
          </MDBListGroup>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBListGroup,
            MDBListGroupItem
          }
        };
      </script>

      
        
    


Sizing

Panels assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can change this as needed with custom CSS, grid classes, grid Sass mixins, or utilities.

Using grid markup

Using the grid, wrap panels in columns and rows as needed.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            

      <template>
        <MDBRow>
          <MDBCol sm="6">
            <MDBCard>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>
                  With supporting text below as a natural lead-in to additional content.
                </MDBCardText>
                <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
          <MDBCol sm="6">
            <MDBCard>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>
                  With supporting text below as a natural lead-in to additional content.
                </MDBCardText>
                <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
        </MDBRow>
      </template>

      
        
    
        
            

      <script>
        import { MDBRow, MDBCol, MDBCard, MDBCardBody, MDBCardHeader, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBRow,
            MDBCol,
            MDBCard,
            MDBCardBody,
            MDBCardHeader,
            MDBCardTitle,
            MDBCardText,
            MDBBtn
          }
        };
      </script>

      
        
    

Using utilities

It's easy to use our handful of available sizing utilities to quickly set a panel's width.

Panel title

With supporting text below as a natural lead-in to additional content.

Button
Panel title

With supporting text below as a natural lead-in to additional content.

Button
        
            

      <template>
        <MDBCard class="w-75">
          <MDBCardBody>
            <MDBCardTitle>Card title</MDBCardTitle>
            <MDBCardText>
              With supporting text below as a natural lead-in to
              additional content.
            </MDBCardText>
            <MDBBtn tag="a" href="#!" color="primary">Button</MDBBtn>
          </MDBCardBody>
        </MDBCard>
        <br />
        <MDBCard class="w-50">
          <MDBCardBody>
            <MDBCardTitle>Card title</MDBCardTitle>
            <MDBCardText>
              With supporting text below as a natural lead-in to
              additional content.
            </MDBCardText>
            <MDBBtn tag="a" href="#!" color="primary">Button</MDBBtn>
          </MDBCardBody>
        </MDBCard>
      </template>
      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBBtn
          }
        };
      </script>

      
        
    

Using custom CSS

Custom CSS can be used in your stylesheets or as inline styles to set a width.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            

      <template>
        <MDBCard style="width: 18rem">
          <MDBCardBody>
            <MDBCardTitle>Special title treatment</MDBCardTitle>
            <MDBCardText>
              With supporting text below as a natural lead-in to additional content.
            </MDBCardText>
            <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
          </MDBCardBody>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBBtn
          }
        };
      </script>

      
        
    

Text alignment

You can quickly change the text alignment of any card—in its entirety or specific parts—with our text-align classes.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            

      <template>
        <MDBCard style="width: 18rem">
          <MDBCardBody>
            <MDBCardTitle>Special title treatment</MDBCardTitle>
            <MDBCardText>
              With supporting text below as a natural lead-in to additional content.
            </MDBCardText>
            <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
          </MDBCardBody>
        </MDBCard>
        <MDBCard text="center" style="width: 18rem">
          <MDBCardBody>
            <MDBCardTitle>Special title treatment</MDBCardTitle>
            <MDBCardText>
              With supporting text below as a natural lead-in to additional content.
            </MDBCardText>
            <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
          </MDBCardBody>
        </MDBCard>
        <MDBCard text="end" style="width: 18rem">
          <MDBCardBody>
            <MDBCardTitle>Special title treatment</MDBCardTitle>
            <MDBCardText>
              With supporting text below as a natural lead-in to additional content.
            </MDBCardText>
            <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
          </MDBCardBody>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBBtn
          }
        };
      </script>
      </template>

      
        
    


Panel styles

Panels include various options for customizing their backgrounds, borders, and color.

Background and color

Use text and background utilities to change the appearance of a card.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Some quick example text to build on the panel title and make up the bulk of the panel's content.

        
            

      <template>
        <div>
          <MDBRow>
            <MDBCol md="6" class="mb-4">
      
              <MDBCard text="white" bg="primary" class="text-center">
                <MDBCardBody>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
                </MDBCardBody>
              </MDBCard>
      
              <br />
      
              <MDBCard text="white" bg="secondary" class="text-center">
                <MDBCardBody>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
                </MDBCardBody>
              </MDBCard>
      
              <br />
      
              <MDBCard text="white" bg="success" class="text-center">
                <MDBCardBody>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
                </MDBCardBody>
              </MDBCard>
      
            </MDBCol>
            <MDBCol md="6">
      
              <MDBCard text="white" bg="danger" class="text-center">
                <MDBCardBody>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
                </MDBCardBody>
              </MDBCard>
      
              <br />
      
              <MDBCard bg="warning" class="text-center">
                <MDBCardBody>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
                </MDBCardBody>
              </MDBCard>
      
              <br />
      
              <MDBCard bg="info" class="text-center">
                <MDBCardBody>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
                </MDBCardBody>
              </MDBCard>
      
            </MDBCol>
          </MDBRow>
        </div>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBRow, MDBCol } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard, MDBCardBody, MDBRow, MDBCol
          }
        };
      </script>

      
        
    

Border

Use border utilities to change just the border-color of a card. Note that you can put .text-{color} classes on the parent .card or a subset of the panel's contents as shown below.

Header
Primary Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Secondary Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Success Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Danger Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Warning Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Info Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Light Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

Header
Dark Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

        
            

      <template>
        <MDBCard border="primary" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody text="primary">
            <MDBCardTitle>Primary card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="secondary" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody text="secondary">
            <MDBCardTitle>Secondary card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="success" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody text="success">
            <MDBCardTitle>Success card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="danger" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody text="danger">
            <MDBCardTitle>Danger card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="warning" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody>
            <MDBCardTitle>Warning card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="info" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody>
            <MDBCardTitle>Info card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="light" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody>
            <MDBCardTitle>Light card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
        <MDBCard border="dark" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader>Header</MDBCardHeader>
          <MDBCardBody text="dark">
            <MDBCardTitle>Dark card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make
              up the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardHeader
          }
        };
      </script>

      
        
    

Mixins utilities

You can also change the borders on the card header and footer as needed, and even remove their background-color with .bg-transparent.

Header
Success Panel title

Some quick example text to build on the panel title and make up the bulk of the panel's content.

        
            

      <template>
        <MDBCard border="success" shadow="0" bg="white" class="mb-3" style="max-width: 18rem">
          <MDBCardHeader bg="transparent" border="success">
            Header
          </MDBCardHeader>
          <MDBCardBody text="success">
            <MDBCardTitle>Success card title</MDBCardTitle>
            <MDBCardText>
              Some quick example text to build on the card title and make up
              the bulk of the card's content.
            </MDBCardText>
          </MDBCardBody>
          <MDBCardFooter bg="transparent" border="success">
            Footer
          </MDBCardFooter>
        </MDBCard>
      </template>

      
        
    
        
            

      <script>
        import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader, MDBCardFooter } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardHeader,
            MDBCardFooter
          }
        };
      </script>

      
        
    

Panel layout

In addition to styling the content within panels, Bootstrap includes a few options for laying out a series of panels. For the time being, these layout options are not yet responsive.

Groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups use display: flex; to achieve their uniform sizing.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

Panel title

This card has supporting text below as a natural lead-in to additional content.

Last updated 3 mins ago

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

Last updated 3 mins ago

        
            

      <template>
        <MDBCardGroup>
          <MDBCard>
             <MDBCardBody>
              <MDBCardTitle>Panel title</MDBCardTitle>
              <MDBCardText>
                This is a wider panel with supporting text below as a natural
                lead-in to additional content. This content is a little bit
                longer.
              </MDBCardText>
              <MDBCardText>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardText>
            </MDBCardBody>
          </MDBCard>
          <MDBCard>
            <MDBCardBody>
              <MDBCardTitle>Panel title</MDBCardTitle>
              <MDBCardText>
                This panel has supporting text below as a natural lead-in to
                additional content.
              </MDBCardText>
              <MDBCardText>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardText>
            </MDBCardBody>
          </MDBCard>
          <MDBCard>
            <MDBCardBody>
              <MDBCardTitle>Panel title</MDBCardTitle>
              <MDBCardText>
                This is a wider panel with supporting text below as a natural
                lead-in to additional content. This card has even longer
                content than the first to show that equal height action.
              </MDBCardText>
              <MDBCardText>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardText>
            </MDBCardBody>
          </MDBCard>
        </MDBCardGroup>
      </template>

      
        
    
        
            

      <script>
        import { MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCardGroup,
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText
          }
        };
      </script>

      
        
    

When using card groups with footers, their content will automatically line up.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Panel title

This card has supporting text below as a natural lead-in to additional content.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            

      <template>
        <MDBCardGroup>
          <MDBCard>
             <MDBCardBody>
              <MDBCardTitle>Card title</MDBCardTitle>
              <MDBCardText>
                This is a wider card with supporting text below as a natural lead-in to
                additional content. This content is a little bit longer.
              </MDBCardText>
            </MDBCardBody>
            <MDBCardFooter>
              <small class="text-muted">Last updated 3 mins ago</small>
            </MDBCardFooter>
          </MDBCard>
          <MDBCard>
            <MDBCardBody>
              <MDBCardTitle>Card title</MDBCardTitle>
              <MDBCardText>
                This card has supporting text below as a natural lead-in to additional content.
              </MDBCardText>
            </MDBCardBody>
            <MDBCardFooter>
              <small class="text-muted">Last updated 3 mins ago</small>
            </MDBCardFooter>
          </MDBCard>
          <MDBCard>
            <MDBCardBody>
              <MDBCardTitle>Card title</MDBCardTitle>
              <MDBCardText>
                This is a wider card with supporting text below as a natural lead-in to
                additional content. This card has even longer content than the first to show
                that equal height action.
              </MDBCardText>
            </MDBCardBody>
            <MDBCardFooter>
              <small class="text-muted">Last updated 3 mins ago</small>
            </MDBCardFooter>
          </MDBCard>
        </MDBCardGroup>
      </template>

      
        
    
        
            

      <script>
        import { MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardFooter } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCardGroup,
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardFooter
          }
        };
      </script>

      
        
    

Decks

Need a set of equal width and height panels that aren’t attached to one another? Use decks.

Panel title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

Panel title

This card has supporting text below as a natural lead-in to additional content.

Last updated 3 mins ago

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

Last updated 3 mins ago

        
            

      <template>
        <MDBRow :cols="['1', 'md-3']" class="g-4">
          <MDBCol>
            <MDBCard class="h-100">
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to
                  additional content. This content is a little bit longer.
                </MDBCardText>
                <MDBCardText>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardText>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
          <MDBCol>
            <MDBCard class="h-100">
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This panel has supporting text below as a natural lead-in to additional
                  content.
                </MDBCardText>
                <MDBCardText>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardText>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
          <MDBCol>
            <MDBCard class="h-100">
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to
                  additional content. This panel has even longer content than the first to show
                  that equal height action.
                </MDBCardText>
                  <MDBCardText>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardText>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
        </MDBRow>
      </template>

      
        
    
        
            

      <script>
        import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCol,
            MDBRow,
            MDBCardGroup,
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText
          }
        };
      </script>

      
        
    

Just like with panel groups, card footers in decks will automatically line up.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Panel title

This card has supporting text below as a natural lead-in to additional content.

Panel title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            

      <template>
        <MDBRow :cols="['1', 'md-3']" class="g-4">
          <MDBCol>
            <MDBCard class="h-100">
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to
                  additional content. This content is a little bit longer.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
          </MDBCol>
          <MDBCol>
            <MDBCard class="h-100">
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This panel has supporting text below as a natural lead-in to additional
                  content.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
          </MDBCol>
          <MDBCol>
            <MDBCard class="h-100">
              <MDBCardBody>
                <MDBCardTitle>Panel title</MDBCardTitle>
                <MDBCardText>
                  This is a wider panel with supporting text below as a natural lead-in to
                  additional content. This panel has even longer content than the first to show
                  that equal height action.
                </MDBCardText>
              </MDBCardBody>
              <MDBCardFooter>
                <small class="text-muted">Last updated 3 mins ago</small>
              </MDBCardFooter>
            </MDBCard>
          </MDBCol>
        </MDBRow>
      </template>

      
        
    
        
            

      <script>
        import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardFooter } from "mdb-vue-ui-kit";
        export default {
          components: {
            MDBCol,
            MDBRow,
            MDBCardGroup,
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardFooter
          }
        };
      </script>

      
        
    

Jumbotron

A lightweight, flexible component that can optionally extend the entire viewport to showcase key marketing messages on your site.

Hello, world!

This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.


It uses utility classes for typography and spacing to space content out within the larger container.

Learn more
        
            

      <template>
        <!-- Jumbotron -->
      <div class="p-4 shadow-4 rounded-3" style="background-color: hsl(0, 0%, 94%);">
        <h2>Hello world!</h2>
        <p>
          This is a simple hero unit, a simple jumbotron-style component for calling extra
          attention to featured content or information.
        </p>
      
        <hr class="my-5" />
      
        <p>
          It uses utility classes for typography and spacing to space content out within the
          larger container.
        </p>
        <button type="button" class="btn btn-primary">
          Learn more
        </button>
      </div>
      <!-- Jumbotron -->
      </template>

      
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!